package com.ylx.area.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.Area;
import com.ylx.massage.domain.dto.CoordinateDTO;
import com.ylx.massage.domain.vo.AreaTreeNode;
import com.ylx.massage.domain.vo.CityInfoVo;
import com.ylx.area.domain.vo.CityVo;

import java.util.List;

/**
 * 区域数据(Area)表服务接口
 *
 * @author makejava
 * @since 2024-07-01 09:22:27
 */
public interface AreaService extends IService<Area> {

    List<AreaTreeNode> getAreaTree();

    List<AreaTreeNode> getProvinceCityTree();

    /**
     * 根据经纬度查询城市信息
     * @param dto
     * @return CityInfoVo
     */
    CityInfoVo getCityInfoByCoordinates(CoordinateDTO dto);

    List<CityVo> getHomeList ();

    List<CityVo> getCityName(String name);
}

